Get weekly call duration trend
curl --request GET \
--url https://api.pineyard.ai/analytics/duration-trend \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/duration-trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/duration-trend"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"weekStart": "<string>",
"avgDurationMs": 123,
"callCount": 123
}
]Analytics
Get weekly call duration trend
Average call duration (avgDurationMs) and call count per week for the last weeks weeks.
GET
/
analytics
/
duration-trend
Get weekly call duration trend
curl --request GET \
--url https://api.pineyard.ai/analytics/duration-trend \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/analytics/duration-trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/analytics/duration-trend"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"weekStart": "<string>",
"avgDurationMs": 123,
"callCount": 123
}
]Required scope:
analytics.view
